# Get resume status

GET /resume/{resume_id} - status and PDF URL for a resume

Source: https://docs.rezzy.dev/resume/get-status
Documentation index: https://docs.rezzy.dev/llms.txt



## Example

  

  
```bash
curl -X GET "https://api.rezzy.dev/v1/resume/4c20b695-c3ed-4dc4-bcf3-f6f7aa00068b" \
  -H "Authorization: Bearer YOUR_API_KEY"
```
  

  
```python
import requests

resume_id = "4c20b695-c3ed-4dc4-bcf3-f6f7aa00068b"
response = requests.get(
f"https://api.rezzy.dev/v1/resume/{resume_id}",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
print(response.json())

```
  

  
```typescript
const resumeId = "4c20b695-c3ed-4dc4-bcf3-f6f7aa00068b";
const response = await fetch(
  `https://api.rezzy.dev/v1/resume/${resumeId}`,
  {
    method: "GET",
    headers: { Authorization: "Bearer YOUR_API_KEY" },
  },
);
const data = await response.json();
console.log(data);
```
  

**Sample response (while processing):**

```json
{
  "success": true,
  "message": "Resume status retrieved successfully",
  "data": {
    "id": "4c20b695-c3ed-4dc4-bcf3-f6f7aa00068b",
    "resume_title": "Senior Software Engineer",
    "status": "IN_PROGRESS",
    "stage": "Analyzing resume and job description...",
    "pdf_url": null,
    "dashboard_url": "https://rezzy.dev/dashboard/resumes"
  }
}
```

**Sample response (completed):**

```json
{
  "success": true,
  "message": "Resume status retrieved successfully",
  "data": {
    "id": "4c20b695-c3ed-4dc4-bcf3-f6f7aa00068b",
    "resume_title": "Senior Software Engineer",
    "status": "SUCCESS",
    "stage": null,
    "pdf_url": "https://storage.example.com/resumes/4c20b695.pdf",
    "dashboard_url": "https://rezzy.dev/dashboard/resumes"
  }
}
```

## Path parameters

| Parameter   | Type | Required | Description                    | Example                                |
| ----------- | ---- | -------- | ------------------------------ | -------------------------------------- |
| `resume_id` | UUID | Yes      | Resume ID from create response | `550e8400-e29b-41d4-a716-446655440000` |

## Success response (200 OK)

`data`:

| Field           | Type           | Description                                                  |
| --------------- | -------------- | ------------------------------------------------------------ |
| `id`            | UUID           | Resume resource ID                                           |
| `resume_title`  | string         | Resume title                                                 |
| `status`        | string         | `QUEUED` \| `IN_PROGRESS` \| `SUCCESS` \| `FAILED`           |
| `stage`         | string \| null | Processing stage while queued or in progress; otherwise null |
| `pdf_url`       | string \| null | Signed PDF URL when successful and available; otherwise null |
| `dashboard_url` | string         | URL to view in the dashboard                                 |

Poll no faster than every five seconds and back off. Stop polling on `SUCCESS` or `FAILED`. Both `stage` and `pdf_url` are always included and may be `null`.

PDF URLs expire after one hour. Read status again to get a fresh URL. Status reads do not consume generation credits. You can only retrieve documents belonging to the account that owns your API key.

## Error responses

| Status | Condition                                        |
| ------ | ------------------------------------------------ |
| 400    | Malformed document UUID                          |
| 401    | Missing or invalid API key                       |
| 404    | Document not found or belongs to another account |
| 429    | Request limit exceeded                           |
| 500    | Internal server error                            |
